# Examples of Custom Color Themes
These are examples of custom color themes that can be copied into a Bootstrap SASS based sub-theme's `sub_theme_name/scss` folder to enable additional theme modes in this module's theme toggler.

To create a bootstrap barrio SASS based sub-theme, install the [Bootstrap 5 - SASS Starter Kit](https://www.drupal.org/project/bootstrap_sass) and run the script.

## Naming SASS Color Mode Theme Files
When a Boostrap SASS sub-theme is set as the default, for your Drupal site, all files in the `sub_theme_name/scss` folder that are prefixed with `theme_` will be picked up by the Bootstrap Theme Toggler block and added to the drop down list with the label of the suffix.

ex. if theme file is called `theme_blue` then the theme option `blue` will be added to the toggler below the default `light`, `dark`, & `auto`.

***Note:** if you change themes, you may need to open and re-save the Theme Toggler block configuration, or delete and replace it to register custom theme files in the newly set theme if they are different than the previous one.*

<br>
<br>

# <TODO> This functoinality has been implementd, but example theme files have not been created yet.